# $Id: elagi-1.0.0-1.spec,v 1.1 2003/10/03 17:09:07 jhayes Exp $
#
# This is the RPM specification file for the Elagi library.
#
Summary: A C library of access functions for Computational Grid services.
Name: elagi
Version: 1.0.0
Release: 1
Copyright: UCSD
Group: Development/Libraries
Source: http://grail.sdsc.edu/projects/elagi/%{name}-%{version}.tar.gz
URL: http://grail.sdsc.edu/projects/elagi
Vendor: Grid Research and Innovation Laboratory (GRAIL)
BuildRoot: %{_builddir}/%{name}-root
Prefix: /usr

%description
Elagi comprises a library of functions intended to ease the use of
Computational Grid services by application programs.

%prep
%setup -q

%build
./configure
make

%install
if test -n "$RPM_BUILD_ROOT" -a ! -e "$RPM_BUILD_ROOT"; then
  mkdir $RPM_BUILD_ROOT
fi
make INSTALL_DIR="$RPM_BUILD_ROOT/usr" install_headers install_lib

%files
%defattr(-,root,root)
/usr/lib/libelagi.a
/usr/include/elagi/elbase.h
/usr/include/elagi/elmetric.h
/usr/include/elagi/gmingrp.h
/usr/include/elagi/nwsclient.h
/usr/include/elagi/rashgrp.h
/usr/include/elagi/taskpool.h

%changelog
* Fri Oct 10 2003 Jim Hayes <jhayes@cs.ucsd.edu>
- add packaging commands
